package itemprops

type Material struct {
    Name              string
    Flags             MaterialFlags
    Density           DimensionItemDensity
    FractureToughness NotchFractureToughness
    MeltingPoint      DimensionItemTemperature
    BoilingPoint      DimensionItemTemperature
}

type MaterialFlags struct {
    ConductsElictricity bool
    BlocksLiquid        bool
    AcidResistant       bool
    BlocksGas           bool
    Flammable           bool
    ConductsHeat        bool
    Radiates            bool
}
